#ifndef _KGR_PATCH_BSC1096679_H
#define _KGR_PATCH_BSC1096679_H

#if IS_ENABLED(CONFIG_X86_64)

int kgr_patch_bsc1096679_init(void);
static inline void kgr_patch_bsc1096679_cleanup(void) {}


struct mm_struct;
struct task_struct;
struct user_namespace;

struct mm_struct *kgr_mm_init(struct mm_struct *mm, struct task_struct *p,
			      struct user_namespace *user_ns);

#define KGR_PATCH_BSC1096679_FUNCS		\
	KGR_PATCH(mm_init, kgr_mm_init),	\


#else /* !IS_ENABLED(CONFIG_X86_64) */

static inline int kgr_patch_bsc1096679_init(void) { return 0; }
static inline void kgr_patch_bsc1096679_cleanup(void) {}

#define KGR_PATCH_BSC1096679_FUNCS

#endif /* IS_ENABLED(CONFIG_X86_64) */
#endif
